[Pkg-xen-changes] r330 - in trunk/xen-3.0: . debian debian/arch/i386 debian/bin debian/templates

Bastian Blank waldi at costa.debian.org
Mon Sep 25 20:34:37 UTC 2006


Author: waldi
Date: Mon Sep 25 20:34:37 2006
New Revision: 330

Added:
   trunk/xen-3.0/debian/templates/xen-hypervisor.postinst.in
   trunk/xen-3.0/debian/templates/xen-hypervisor.postrm.in
Modified:
   trunk/xen-3.0/   (props changed)
   trunk/xen-3.0/debian/arch/i386/defines
   trunk/xen-3.0/debian/bin/gencontrol.py
   trunk/xen-3.0/debian/rules
   trunk/xen-3.0/debian/templates/control.source.in

Log:
Merge /trunk/xen-unstable.


Modified: trunk/xen-3.0/debian/arch/i386/defines
==============================================================================
--- trunk/xen-3.0/debian/arch/i386/defines	(original)
+++ trunk/xen-3.0/debian/arch/i386/defines	Mon Sep 25 20:34:37 2006
@@ -10,7 +10,7 @@
  4GB of memory. If you have more please install the -pae version instead.
 
 [i386-pae]
-config: XEN_TARGET_X86_PAE=y
+config: pae=y
 desc:
  This version of the hypervisor is built with PAE enabled, in order to support
  systems with more than 4GB of memory. If you have less than that you should

Modified: trunk/xen-3.0/debian/bin/gencontrol.py
==============================================================================
--- trunk/xen-3.0/debian/bin/gencontrol.py	(original)
+++ trunk/xen-3.0/debian/bin/gencontrol.py	Mon Sep 25 20:34:37 2006
@@ -95,6 +95,12 @@
                 package['Architecture'] = [arch]
                 packages.append(package)
 
+        package_name = packages_own[0]['Package']
+
+        for i in ('postinst', 'postrm'):
+            j = self.substitute(self.templates["xen-hypervisor.%s" % i], vars)
+            file("debian/%s.%s" % (package_name, i), 'w').write(j)
+
         cmds_binary_arch = []
         cmds_binary_arch.append(("$(MAKE) -f debian/rules.real binary-arch-flavour %s" % makeflags,))
         cmds_build = []

Modified: trunk/xen-3.0/debian/rules
==============================================================================
--- trunk/xen-3.0/debian/rules	(original)
+++ trunk/xen-3.0/debian/rules	Mon Sep 25 20:34:37 2006
@@ -27,6 +27,6 @@
 unpatch: clean                                 
 
 maintainerclean:
-	rm -f debian/control* debian/rules.gen debian/xen-utils-*
+	rm -f debian/control* debian/rules.gen debian/xen-hypervisor-* debian/xen-utils-*
 	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))
 

Modified: trunk/xen-3.0/debian/templates/control.source.in
==============================================================================
--- trunk/xen-3.0/debian/templates/control.source.in	(original)
+++ trunk/xen-3.0/debian/templates/control.source.in	Mon Sep 25 20:34:37 2006
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Xen Team <pkg-xen-devel at lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid at debian.org>, Jeremy T. Bouse <jbouse at debian.org>, Guido Trotter <ultrotter at debian.org>, Bastian Blank <waldi at debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), libcurl3-dev | libcurl-dev, python-dev, python (>= 2.2), transfig, libsdl1.2-dev, libvncserver-dev, libjpeg-dev, bzip2, bcc, dpatch, lsb-release, python-central (>= 0.5), tetex-bin, tetex-extra, gs-common
+Build-Depends: debhelper (>= 5.0.37.2), python-dev (>= 2.3), libsdl1.2-dev, bcc, dpatch, lsb-release, python-central (>= 0.5)
+Build-Depends-Indep: transfig, tetex-bin, tetex-extra, gs-common
 Standards-Version: 3.7.2.0
 XS-Python-Version: current
 

Added: trunk/xen-3.0/debian/templates/xen-hypervisor.postinst.in
==============================================================================
--- (empty file)
+++ trunk/xen-3.0/debian/templates/xen-hypervisor.postinst.in	Mon Sep 25 20:34:37 2006
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+case "$1" in
+    configure)
+        command -v update-grub > /dev/null && update-grub
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+	echo "postinst called with unknown argument \`$1'" >&2
+	exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Added: trunk/xen-3.0/debian/templates/xen-hypervisor.postrm.in
==============================================================================
--- (empty file)
+++ trunk/xen-3.0/debian/templates/xen-hypervisor.postrm.in	Mon Sep 25 20:34:37 2006
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+case "$1" in
+    remove)
+        command -v update-grub > /dev/null && update-grub
+    ;;
+
+    purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0



More information about the Pkg-xen-changes mailing list